proc graphicsPickTrisolation { prompt dataset_var triobj_var trisol_var } {
upvar $dataset_var dataset
upvar $triobj_var triobj
upvar $trisol_var trisol
GuidoApp app "PICK TRISOLATION"
$app setParam prompt $prompt
set return_code [$app invoke]
if { $return_code == "0" } {
set dataset [$app getParam dataset]
set triobj [$app getParam triobj]
set trisol [$app getParam trisol]
return 1
} else {
return 0
}
}
proc graphicsPickViewport { prompt viewport_var } {
upvar $viewport_var viewport
GuidoApp app "PICK VIEWPORT"
$app setParam prompt $prompt
set return_code [$app invoke]
if { $return_code == "0" } {
set viewport [$app getParam viewport_selected]
return 1
} else {
return 0
}
}
